import React from 'react';
type IndexType = 'COLLSCAN' | 'COVERED' | 'MULTIPLE' | 'INDEX' | 'UNAVAILABLE';
interface ExplainSummaryProps {
    nReturned: number;
    totalKeysExamined: number;
    totalDocsExamined: number;
    executionTimeMillis: number;
    inMemorySort: boolean;
    indexType: IndexType;
    index?: {
        fields: {
            field: string;
            value: unknown;
        }[];
    };
}
declare const ExplainSummary: React.FC<ExplainSummaryProps>;
export default ExplainSummary;
//# sourceMappingURL=explain-summary.d.ts.map