export default ExplainStates;
declare class ExplainStates extends React.Component<any, any, any> {
    static displayName: string;
    static propTypes: {
        isEditable: PropTypes.Validator<boolean>;
        explain: PropTypes.Requireable<PropTypes.InferProps<{
            nReturned: PropTypes.Validator<number>;
            totalKeysExamined: PropTypes.Validator<number>;
            totalDocsExamined: PropTypes.Validator<number>;
            executionTimeMillis: PropTypes.Validator<number>;
            inMemorySort: PropTypes.Validator<boolean>;
            indexType: PropTypes.Validator<string>;
            index: PropTypes.Requireable<object>;
            viewType: PropTypes.Validator<string>;
            originalExplainData: PropTypes.Validator<object>;
            explainState: PropTypes.Validator<string>;
            error: PropTypes.Requireable<object>;
            resultId: PropTypes.Validator<number>;
        }>>;
        fetchExplainPlan: PropTypes.Validator<(...args: any[]) => any>;
        cancelExplainPlan: PropTypes.Validator<(...args: any[]) => any>;
        switchToTreeView: PropTypes.Validator<(...args: any[]) => any>;
        switchToJSONView: PropTypes.Validator<(...args: any[]) => any>;
        query: PropTypes.Requireable<any>;
        appRegistry: PropTypes.Validator<object>;
        queryExecuted: PropTypes.Validator<(...args: any[]) => any>;
    };
    constructor(props: any);
    queryBarRole: any;
    queryBarStore: any;
    componentDidUpdate(): void;
    onExecuteExplainClicked(): void;
    checkIfZeroState(): boolean;
    checkIfExplainIsLoading(): boolean;
    renderZeroState(): React.Component;
    renderContent(): React.Component;
    renderCancellableSpinner(): JSX.Element;
    render(): React.Component;
}
import React from 'react';
import { Component } from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=explain-states.d.ts.map